Ruby - Bug #17605

Please backport Apple Silicon arm64 vs arm bugfix to 2.6 and 2.7
02/01/2021 06:44 PM - dtrodrigues (Dustin Rodrigues)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: Backport: 2.5: DONTNEED, 2.6: REQUIRED, 2.7:
DONE, 3.0: DONTNEED

Description
Initial issue https://bugs.ruby-lang.org/issues/17021

fix: https://github.com/ruby/ruby/pull/3800/commits/43a9a974e276dc49b03ec81ccacefadb534a3d20

Related issues:
Related to Ruby - Bug #17021: "arm64" and "arm" are mixed in RbConfig on Appl... Closed

Associated revisions

Revision f03ba00f40e7c964efcfffc7a761074800ecc1a4 - 02/11/2021 04:52 AM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 43a9a974e276dc49b03ec81ccace0adb534a3d20: [Backport #17021] [Backport #17605]

[Bug #17021] Make host_* values consistent with target_*

configure.ac | 7 ++++++-—
1 file changed, 6 insertions(+), 1 deletion(-)

Revision f03ba00f40e7c964efcfffc7a761074800ecc1a4 - 02/11/2021 04:52 AM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 43a9a974e276dc49b03ec81ccace0adb534a3d20: [Backport #17021] [Backport #17605]

[Bug #17021] Make host_* values consistent with target_*

configure.ac | 7 ++++++-—
1 file changed, 6 insertions(+), 1 deletion(-)

Revision f03ba00f - 02/11/2021 04:52 AM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 43a9a974e276dc49b03ec81ccace0adb534a3d20: [Backport #17021] [Backport #17605]

[Bug #17021] Make host_* values consistent with target_*

configure.ac | 7 ++++++-—
1 file changed, 6 insertions(+), 1 deletion(-)

History

#1 - 02/02/2021 12:33 AM - hsbt (Hiroshi SHIBATA)
- Status changed from Open to Closed

- Backport changed from 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7: UNKNOWN, 3.0: UNKNOWN to 2.5: DONTNEED, 2.6: REQUIRED, 2.7: REQUIRED,
3.0: REQUIRED

#2 - 02/02/2021 03:20 PM - naruse (Yui NARUSE)
- Related to Bug #17021: "arm64" and "arm" are mixed in RbConfig on Apple silicon added

#3 - 02/02/2021 03:21 PM - naruse (Yui NARUSE)
- Backport changed from 2.5: DONTNEED, 2.6: REQUIRED, 2.7: REQUIRED, 3.0: REQUIRED to 2.5: DONTNEED, 2.6: REQUIRED, 2.7:
REQUIRED, 3.0: DONTNEED

#4 - 02/11/2021 05:09 AM - nagachika (Tomoyuki Chikanaga)
https://bugs.ruby-lang.org/issues/17021
https://github.com/ruby/ruby/pull/3800/commits/43a9a974e276dc49b03ec81ccace0adb534a3d20

- Backport changed from 2.5: DONTNEED, 2.6: REQUIRED, 2.7: REQUIRED, 3.0: DONTNEED to 2.5: DONTNEED, 2.6: REQUIRED, 2.7: DONE,
3.0: DONTNEED

ruby_2_7 f03ba00f40e7c964efcfffc7a761074800ecc1a4 merged revision(s) 43a9a974e276dc49b03ec81ccaceOadb534a3d20.
